> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-reporting-service-guide/v21/creating-custom-reports/example-report-with-charts/design-the-report.md).

# Design the Report

First, we'll add a report title and some standard built-in fields like page numbers.

To add a title, simply type it in the field at the top of the report area.

To add page numbers:

1. Delete the \[\&ExecutionTime] field from the report footer. We'll replace it with the page number field.
2. Select the **Text Box** item on the ribbon and then click at the desired position on the page footer to insert the text box. Move the box as needed.
3. Expand the **Built-in Fields** folder in the left pane, select the **Page Number** field and drag it to the text box.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-reporting-service-guide/v21/creating-custom-reports/example-report-with-charts/design-the-report.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
